#ifndef filer_hpp
#define filer_hpp

class Filer
{
  public:
    Filer(const wchar_t* fileName);
    ~Filer();
    
    bool open ();
    bool close();

    bool read (BYTE trk, BYTE sec, BYTE* buf);
    bool write(BYTE trk, BYTE sec, BYTE* buf);

    bool isProtected();
    bool protect    (bool on);
  private:
    HANDLE hostFile;
    wchar_t fName[300];
    WORD   maxSec;
    bool   isChanged;
    DWORD* secs;
};

#endif
