#pragma once

#pragma pack(push, 1)
struct BlockHdr
{
  char signature[5];
  BYTE flags;
  WORD size;
  WORD pSize;
  BYTE extInfoSize;
};

struct ExtInfo
{
  WORD    pCRC;
  WORD    CRC;
  SCLHdr file;
};

struct PackInfo
{
  WORD  packedSize;
  DWORD offset;
};
#pragma pack(pop)

struct ExtFileHdr
{
    wchar_t  name[13];
    wchar_t  comment[100];
    BYTE  type;
    bool  skipHeader;
};

struct Options
{
  bool showExt;
  int  defaultPanelMode;
  int  defaultFormat;
  bool detectFormat;
  wchar_t iniFilePath[300];
};
